/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/

#ifndef _COMPCEPSEXPORTS_B_H
#define _COMPCEPSEXPORTS_B_H

extern CompCepsStructX *DoCompCepsAlloc_B (void);
extern void             DoCompCepsInit_B (FEParamsX_F *This);
extern BOOLEAN          DoCompCeps_B (X_INT16 *DataIn,X_INT16 shiftIn, X_INT16 *Coef16, FEParamsX_F *This);
extern void             DoCompCepsDelete_B (CompCepsStructX *WPX);
extern void FilterBank (X_INT32 *SigFFT32,X_INT32 *intFilter32);

#endif
