/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/

#ifndef _WAVEPROCEXPORTS_B_H
#define _WAVEPROCEXPORTS_B_H

extern WaveProcStructX *DoWaveProcAlloc_B (void);
extern void             DoWaveProcInit_B (FEParamsX_F *This);
extern BOOLEAN          DoWaveProc_B (X_INT32 *DataIn32,X_INT16 shiftIn,X_INT16 *DataOut,X_INT16 *shiftOut, FEParamsX_F *This);
extern void             DoWaveProcDelete_B (WaveProcStructX *WPX);

#endif
